Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.operators
Class ChainedHashTable

    java.lang.Object
      unity.operators.ChainedHashTable

    public class ChainedHashTable

extends java.lang.Object

Constructor Summary
`ChainedHashTable(int size)`

Method Summary
`void` | `clear()`
`java.util.ArrayList` | `find(int key)`
`java.util.ArrayList` | `find(java.lang.Object[] key)`
`java.util.ArrayList` | `find(java.lang.String key)`
`java.util.ArrayList` | `getNonMatched()`
`void` | `insert(int key, java.lang.Object o)`
`void` | `insert(java.lang.Object[] keys, java.lang.Object o)`
`void` | `insert(java.lang.String key, java.lang.Object o)`
`static void` | `main(java.lang.String[] args)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ChainedHashTable

    public ChainedHashTable(int size)

Method Detail

### getNonMatched

    public java.util.ArrayList getNonMatched()

### clear

    public void clear()

### insert

    public void insert(java.lang.String key,
                       java.lang.Object o)

### insert

    public void insert(int key,
                       java.lang.Object o)

### insert

    public void insert(java.lang.Object[] keys,
                       java.lang.Object o)

### find

    public java.util.ArrayList find(java.lang.String key)

### find

    public java.util.ArrayList find(int key)

### find

    public java.util.ArrayList find(java.lang.Object[] key)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD